MOPD(8)

NAME
mopd - MOP loader daemon

SYNOPSIS
mopd [-3 | -4] [-adfv] interface

DESCRIPTION
mopd services MOP Load requests on the Ethernet connected to interface or all interfaces if -a is given. In a load request received by mopd a filename can be given. This is the normal case for, e.g., terminal servers. If a filename isn't given mopd must know what image to load.

Upon receiving a request, mopd checks if the requested file exists in /tftpboot/mop. The filename is normally all uppercase and with an extension of .SYS. If the filename isn't given, the Ethernet address of the target is used as filename (e.g., 08002b09f4de.SYS), and it might be a soft link to another file.

mopd supports two kinds of files. The file is first checked to see if it is in a.out(5) format. If not, a few of Digital's formats are checked.

In normal operation, mopd forks a copy of itself and runs in the background. Anomalies and errors are reported via syslog(3).

The options are as follows:

-3  Ignore MOP V3 messages (Ethernet II).

-4  Ignore MOP V4 messages (Ethernet 802.3).

-a  Listen on all the Ethernets attached to the system. If -a is omitted, an interface must be specified.

-d  Run in debug mode, with all the output to stdout. The process will run in the foreground.

-f  Run in the foreground.

-v  Show version of mopd.

FILES
/tftpboot/mop

SEE ALSO
mopa.out(1), mopchk(1), mopprobe(1), moptrace(1), bpf(4) DECnet Digital Network Architecture Phase IV, Maintenance Operations Functional Specification V3.0.0, AA-X436A-TK. DECnet Digital Network Architecture, Maintenance Operations Protocol Functional Specification V4.0.0, EK-DNA11-FS-001.

AUTHORS
Mats O Jansson <moj@stacken.kth.se>

BUGS
a.out(5) isn't supported yet on non-BSD implementations (otherOS).